--
--	VillagerJobType replicated from JMJobType.h
--

VILLAGER_JOB_TYPE_INVALID = -1
VILLAGER_JOB_TYPE_IDLE    =  0
VILLAGER_JOB_TYPE_PARENT  =  1
VILLAGER_JOB_TYPE_BUILD   =  2
VILLAGER_JOB_TYPE_GATHER  =  3
VILLAGER_JOB_TYPE_QUEST   =  4
VILLAGER_JOB_TYPE_BABY    =  5
VILLAGER_JOB_TYPE_CHILD   =  6
VILLAGER_JOB_TYPE_ELDER   =  7
VILLAGER_JOB_TYPE_DEAD    =  8
VILLAGER_JOB_TYPE_REWARD  =  9
VILLAGER_JOB_TYPE_RESEARCH = 10
VILLAGER_JOB_TYPE_COMMERCIAL = 11
VILLAGER_JOB_TYPE_STUDENT = 12
VILLAGER_JOB_TYPE_TEACHER = 13
VILLAGER_JOB_TYPE_STUDENT_POSTCLASS = 14

function isVillagerDoingJob(villager, job)
    return villager:villagerModel():job():techtree():type() == job
end
